Geometry

32 views
Skip to first unread message

Piero Vitt

unread,
Sep 15, 2016, 11:07:57 AM9/15/16
to SketchUp Ruby API
this script not good why?
# First we pull in the standard API hooks.
require 'sketchup.rb'
# see any programming errors we may make.
# Add a menu item to launch our plugin.
UI.menu("Plugins").add_item("Mioquadrato1") {
UI.messagebox("I'm about to Mioquadrato1")
# Call our new method.
Mioquadrato1
def Mioquadrato1
model = Sketchup.active_model.entities = model.entities
pt1 = [0, 0, 0]
pt2 = [90, 0, 0]
pt3 = [90, 90, 0]
pt3 = [0, 90, 0]
new_face = entities.add_face pt1, pt2, pt3, p4
end 
# Call our new method.
  Mioquadrato1
}

tanks
Reply all
Reply to author
Forward
0 new messages